6.0.0-git
2019-03-20

[#8445] Http_Client - unable to access response body when a 4xx or 5xx response code received
Summary Http_Client - unable to access response body when a 4xx or 5xx response code received
Queue Horde Framework Packages
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners chuck (at) horde (dot) org
Requester mrubinsk (at) horde (dot) org
Created 2009-07-20 (3530 days ago)
Due
Updated 2009-10-24 (3434 days ago)
Assigned 2009-08-19 (3500 days ago)
Resolved 2009-10-24 (3434 days ago)
Milestone
Patch No

History
2009-10-24 18:56:22 Michael Rubinsky Comment #3
Taken from Horde DevelopersHorde Developers
Taken from Michael Rubinsky
State ⇒ Resolved
Reply to this comment
I believe Chuck's Horde_Http work is complete...
2009-08-19 17:10:32 Chuck Hagenbuch Comment #2
State ⇒ Assigned
Reply to this comment
Created branch http-client-adapters of the main horde git repo with 
work on an Http_Client revision with multiple adapters.
2009-08-02 13:53:14 Michael Rubinsky Assigned to Chuck Hagenbuch
Assigned to Michael Rubinsky
Assigned to Horde DevelopersHorde Developers
 
2009-07-20 22:06:54 Michael Rubinsky Comment #1
Type ⇒ Enhancement
State ⇒ Accepted
Priority ⇒ 1. Low
Summary ⇒ Http_Client - unable to access response body when a 4xx or 5xx response code received
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
This is a limitation of using url fopen. The fopen call fails and no 
stream is returned. Will probably need to implement a curl-based 
Http_Client driver with fopen as a fallback.

Saved Queries